## tuba 0.6.3

=== Makefile ===
.PHONY: all install uninstall build test potfiles
PREFIX ?= /usr

# Remove the devel headerbar style:
# make release=1
release ?= 

all: build

build:
	meson setup builddir --prefix=$(PREFIX)
	meson configure builddir -Ddevel=$(if $(release),false,true)
	meson compile -C builddir

install:
	meson install -C builddir

uninstall:
	sudo ninja uninstall -C builddir

test:
	ninja test -C builddir

potfiles:
	find ./ -type f -name "*.in" | sort > po/POTFILES
	echo "" >> po/POTFILES
	find ./ -type f -name "*.ui" -exec grep -l "translatable=\"yes\"" {} \; | sort >> po/POTFILES
	echo "" >> po/POTFILES
	find ./ -type f -name "*.vala" -exec grep -l "_(\"" {} \; | sort >> po/POTFILES

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)
option('distro', type: 'boolean', value: false)

## tuba 0.2.0

=== debian/changelog ===
tuba (0.2.0-3) experimental; urgency=medium

  [ Andres Salomon ]
  * Update for 0.2.0.
  * Add build-dep on libgtksourceview-5-dev.
  * Switch from using libsoup2.4-dev to libsoup-3.0-dev for build.

  [ Federico Ceratto ]
  * Initial release. (Closes: #1033373)

 -- Federico Ceratto <federico@debian.org>  Thu, 25 May 2023 20:51:06 +0100

=== debian/control ===
Source: tuba
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>
Rules-Requires-Root: no
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 libadwaita-1-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.30.0),
 libgtk-4-dev,
 libhandy-1-dev,
 libjson-glib-dev,
 libsecret-1-dev,
 libsoup-3.0-dev,
 libgtksourceview-5-dev,
 libxml2-dev,
 meson,
 valac (>= 0.26),
Standards-Version: 4.6.2
Homepage: https://github.com/GeopJr/Tuba
Vcs-Browser: https://salsa.debian.org/debian/tuba
Vcs-Git: https://salsa.debian.org/debian/tuba.git

Package: tuba
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Mastodon client
 Lightweight desktop client for Mastodon and other fediverse services

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tuba-$1\.tar\.gz/ \
  https://github.com/GeopJr/Tuba/tags .*/v?(\d\.\d\.\d*)\.tar\.gz

## tuba 0.5.0+ds

=== debian/changelog ===
tuba (0.5.0+ds-1) unstable; urgency=medium

  * New upstream version
  * debian: add gbp.conf and switch to debian/latest branch
  * debian: exclude screenshots to fix packaging workflow.
    Upstream stores screenshots with git-lfs, so the resulting tarball only
    includes LFS metadata instead of the actual image files. This causes an
    issue with how we use `git-buildpackage` as it then generates an invalid
    orig tarball.
    In order to work around this issue, we can exclude those files from the
    orig tarball (effectively repacking upstream sources), as they aren't
    installed anyway.
  * d/debian.yml: link to canonical pipeline location
  * d/control: update for new version.
    Upstream bumped the required versions of some library dependencies, so
    should we. While at it, change the following:
    * update the `Vcs-*` links so they point to the actual repo location
    * add myself to `Uploaders` as I'm willing to co-maintain this package
    * drop the version requirement on `valac` (current version is 0.56)
  * d/patches: drop upstreamed patch

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 03 Oct 2023 16:07:42 +0200

=== debian/control ===
Source: tuba
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>,
           Arnaud Ferraris <aferraris@debian.org>
Rules-Requires-Root: no
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 libadwaita-1-dev (>= 1.4~),
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.76.0),
 libgtk-4-dev (>= 4.11.3~),
 libjson-glib-dev,
 libsecret-1-dev,
 libsoup-3.0-dev,
 libgtksourceview-5-dev,
 libxml2-dev,
 meson,
 valac,
Standards-Version: 4.6.2
Homepage: https://github.com/GeopJr/Tuba
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git

Package: tuba
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Mastodon client
 Lightweight desktop client for Mastodon and other fediverse services

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk  # provides DEB_VERSION

%:
	dh $@ --buildsystem=meson --builddirectory=debian/build


override_dh_auto_clean:
	rm -rf debian/build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/build && ninja test
endif

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/tuba ninja install
	mv debian/tuba/usr/bin/dev.geopjr.Tuba debian/tuba/usr/bin/tuba
	sed -i 's/^Exec=.*\s\(.*\)/Exec=tuba \1/' debian/tuba/usr/share/applications/dev.geopjr.Tuba.desktop

override_dh_installman:
	dh_installman ./debian/tuba.1

=== debian/watch ===
version=4

opts=repacksuffix=+ds,dversionmangle=s/\+ds//,repack,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tuba-$1\.tar\.gz/ \
  https://github.com/GeopJr/Tuba/tags .*/v?(\d\.\d\.\d*)\.tar\.gz

## tuba 0.6.1

=== debian/changelog ===
tuba (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * debian: stop excluding screenshots from upstream tarball.
    Those are still stored in `git-lfs`, but they're now part of the
    github-generated tarball, so we can now distribute them as well.
  * d/copyright: update for new version.
  * d/control: extend and improve long description.
  * d/tuba.1: fix application description.
    Fixes: lintian: useless-whatis-entry
  * debian: drop README.Debian and .docs file.
    We no longer exclude the screenshots, so `README.Debian` is no longer
    relevant. Additionally, there's no `tuba-docs` package so we can also
    drop the corresponding file.
  * .gitattributes: drop as we no longer use git-lfs

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 28 Dec 2023 14:49:13 +0100

## tuba 0.6.3

=== debian/changelog ===
tuba (0.6.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:33 +1100

tuba (0.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:10:44 +0000

tuba (0.6.3-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 07 Feb 2024 09:50:22 +0100

tuba (0.6.2-1) unstable; urgency=medium

  * New upstream version
  * d/gbp.conf: add more useful default options
    * automatic changelog commit after successful `gbp import-orig`
    * default commit message for `gbp dch -c`
  * d/rules: force `C` locale for running tests
    This will prevent FTBFS issues on systems with a different locale.
    (Closes: #1060991)

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 20 Jan 2024 12:59:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tuba
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
 Rules-Requires-Root: no
@@ -31,5 +32,10 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Description: Mastodon client
- Lightweight desktop client for Mastodon and other fediverse services
+Description: Mastodon and Fediverse client based on GTK4
+ Tuba is a lightweight desktop client for Mastodon and other fediverse
+ services using GTK4 and libadwaita. As such, it is well integrated with the
+ GNOME desktop.
+ .
+ Tuba is also an adaptive application, usable on both desktop and mobile
+ devices.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd debian/build && ninja test
+	cd debian/build && LC_ALL=C.UTF-8 ninja test
 endif
 
 override_dh_auto_install:

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/GeopJr/Tuba/tags .*/v?@ANY_VERSION@\.tar\.gz

## tuba 0.8.2

=== debian/changelog ===
tuba (0.8.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: update required libs versions.
    Upstream bumped the minimal version for GTK4 and libadwaita, let's
    reflect that in the packaging.
  * debian: enable video support.
    Tuba is now able to play videos as long as it is built against (and
    installed alongside) libclapper. Ensure we pull the proper build
    dependency and enable the corresponding build option as it's disabled by
    default.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 02 Aug 2024 12:59:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: tuba
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  appstream-util,
+ clapper (>= 0.6.0~),
  debhelper-compat (= 13),
  desktop-file-utils,
  gettext,
- libadwaita-1-dev (>= 1.4~),
+ libadwaita-1-dev (>= 1.5~),
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.76.0),
- libgtk-4-dev (>= 4.11.3~),
+ libgtk-4-dev (>= 4.13.4~),
  libjson-glib-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 override_dh_auto_clean:
 	rm -rf debian/build
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dclapper=true
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd debian/build && LC_ALL=C.UTF-8 ninja test

## tuba 0.8.4

=== Makefile ===
.PHONY: all install uninstall build test potfiles
PREFIX ?= /usr

clapper ?=
# Remove the devel headerbar style:
# make release=1
release ?=

all: build

build:
	meson setup builddir --prefix=$(PREFIX)
	meson configure builddir -Ddevel=$(if $(release),false,true) -Dclapper=$(if $(clapper),true,false)
	meson compile -C builddir

install:
	meson install -C builddir

uninstall:
	sudo ninja uninstall -C builddir

test:
	ninja test -C builddir

potfiles:
	find ./ -not -path '*/.*' -type f -name "*.in" | sort > po/POTFILES
	echo "" >> po/POTFILES
	find ./ -not -path '*/.*' -type f -name "*.ui" -exec grep -l "translatable=\"yes\"" {} \; | sort >> po/POTFILES
	echo "" >> po/POTFILES
	find ./ -not -path '*/.*' -type f -name "*.vala" -exec grep -l "_(\"\|ngettext" {} \; | sort >> po/POTFILES

windows: PREFIX = $(PWD)/tuba_windows_portable
windows: __windows_pre build install __windows_set_icon __windows_copy_deps __windows_schemas __windows_copy_icons __windows_cleanup __windows_package

__windows_pre:
	rm -rf $(PREFIX)
	mkdir -p $(PREFIX)/lib/

__windows_set_icon:
ifeq (,$(wildcard ./rcedit-x64.exe))
	wget https://github.com/electron/rcedit/releases/download/v1.1.1/rcedit-x64.exe
endif
	rsvg-convert ./data/icons/color-nightly.svg -o ./builddir/color-nightly.png -h 256 -w 256
	magick -density "256x256" -background transparent ./builddir/color-nightly.png -define icon:auto-resize -colors 256 ./builddir/dev.geopjr.Tuba.ico
	./rcedit-x64.exe $(PREFIX)/bin/dev.geopjr.Tuba.exe --set-icon ./builddir/dev.geopjr.Tuba.ico

__windows_copy_deps:
	ldd $(PREFIX)/bin/dev.geopjr.Tuba.exe | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
	cp -f /mingw64/bin/gdbus.exe $(PREFIX)/bin && ldd $(PREFIX)/bin/gdbus.exe | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
	cp -f /mingw64/bin/gspawn-win64-helper.exe $(PREFIX)/bin && ldd $(PREFIX)/bin/gspawn-win64-helper.exe | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
	cp -f /mingw64/bin/libwebp-7.dll /mingw64/bin/librsvg-2-2.dll /mingw64/bin/libgnutls-30.dll /mingw64/bin/libgthread-2.0-0.dll /mingw64/bin/libgmp-10.dll /mingw64/bin/libproxy-1.dll ${PREFIX}/bin
	cp -r /mingw64/lib/gio/ $(PREFIX)/lib
	cp -r /mingw64/lib/gdk-pixbuf-2.0 $(PREFIX)/lib/gdk-pixbuf-2.0

	cp -f /mingw64/share/gtksourceview-5/styles/Adwaita.xml /mingw64/share/gtksourceview-5/styles/Adwaita-dark.xml ${PREFIX}/share/gtksourceview-5/styles/
	cp -f /mingw64/share/gtksourceview-5/language-specs/xml.lang /mingw64/share/gtksourceview-5/language-specs/markdown.lang /mingw64/share/gtksourceview-5/language-specs/html.lang ${PREFIX}/share/gtksourceview-5/language-specs/

	ldd $(PREFIX)/lib/gio/*/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin

__windows_schemas:
	cp -r /mingw64/share/glib-2.0/schemas/*.xml ${PREFIX}/share/glib-2.0/schemas/
	glib-compile-schemas.exe ${PREFIX}/share/glib-2.0/schemas/

__windows_copy_icons:
	cp -r /mingw64/share/icons/ $(PREFIX)/share/

__windows_cleanup:
	rm -f ${PREFIX}/share/glib-2.0/schemas/*.xml
	rm -rf ${PREFIX}/share/icons/hicolor/scalable/actions/
	find $(PREFIX)/share/icons/ -name *.*.*.svg -not -name *geopjr* -delete
	find $(PREFIX)/lib/gdk-pixbuf-2.0/2.10.0/loaders -name *.a -not -name *geopjr* -delete
	find $(PREFIX)/share/icons/ -name mimetypes -type d  -exec rm -r {} + -depth
	find $(PREFIX)/share/icons/hicolor/ -path */apps/*.png -not -name *geopjr* -delete
	find $(PREFIX) -type d -empty -delete
	gtk-update-icon-cache $(PREFIX)/share/icons/Adwaita/
	gtk-update-icon-cache $(PREFIX)/share/icons/hicolor/

__windows_package:
	zip -r9q tuba_windows_portable.zip tuba_windows_portable/

=== debian/changelog ===
tuba (0.8.4-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 10 Sep 2024 13:54:35 +0200

tuba (0.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 08 Sep 2024 17:32:28 +0200

tuba (0.8.2-2) unstable; urgency=medium

  * debian: drop maintainer manual page.
    Upstream now ships its own man page.
  * d/control: add missing build dependencies for clapper.
    The `clapper` package includes the needed development files, but those
    require the development files for other libraries, which aren't part of
    `clapper`'s  dependencies, sadly. Ensure we have all build deps by
    adding them manually until this package is fixed.
    While at it, bump Standards-Version as no other change is required.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 02 Aug 2024 18:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,19 @@
  libadwaita-1-dev (>= 1.5~),
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.76.0),
+# FIXME: drop when pulled by clapper (#1077812)
+ libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev (>= 4.13.4~),
+ libgtksourceview-5-dev,
  libjson-glib-dev,
+# FIXME: drop when pulled by clapper (#1077812)
+ libmicrodns-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,
- libgtksourceview-5-dev,
  libxml2-dev,
  meson,
  valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/GeopJr/Tuba
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git

## tuba 0.9.0

=== Makefile ===
--- 
+++ 
@@ -51,11 +51,14 @@
 	cp -f /mingw64/bin/libwebp-7.dll /mingw64/bin/librsvg-2-2.dll /mingw64/bin/libgnutls-30.dll /mingw64/bin/libgthread-2.0-0.dll /mingw64/bin/libgmp-10.dll /mingw64/bin/libproxy-1.dll ${PREFIX}/bin
 	cp -r /mingw64/lib/gio/ $(PREFIX)/lib
 	cp -r /mingw64/lib/gdk-pixbuf-2.0 $(PREFIX)/lib/gdk-pixbuf-2.0
+	cp -r /mingw64/lib/gstreamer-1.0 $(PREFIX)/lib/gstreamer-1.0
 
 	cp -f /mingw64/share/gtksourceview-5/styles/Adwaita.xml /mingw64/share/gtksourceview-5/styles/Adwaita-dark.xml ${PREFIX}/share/gtksourceview-5/styles/
 	cp -f /mingw64/share/gtksourceview-5/language-specs/xml.lang /mingw64/share/gtksourceview-5/language-specs/markdown.lang /mingw64/share/gtksourceview-5/language-specs/html.lang ${PREFIX}/share/gtksourceview-5/language-specs/
 
 	ldd $(PREFIX)/lib/gio/*/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	ldd $(PREFIX)/lib/gstreamer-1.0/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	ldd $(PREFIX)/bin/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
 
 __windows_schemas:
 	cp -r /mingw64/share/glib-2.0/schemas/*.xml ${PREFIX}/share/glib-2.0/schemas/

=== debian/changelog ===
tuba (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: depend on GStreamer.
    This was added in this version for providing a built-in audio player.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 16 Dec 2024 10:26:15 +0100

## tuba 0.9.1

=== debian/changelog ===
tuba (0.9.1-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:30:48 +0100

tuba (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 29 Dec 2024 14:23:21 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libadwaita-1-dev (>= 1.5~),
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.76.0),
+ libgstreamer1.0-dev,
 # FIXME: drop when pulled by clapper (#1077812)
  libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev (>= 4.13.4~),
@@ -36,6 +37,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ gstreamer1.0-plugins-good,
 Description: Mastodon and Fediverse client based on GTK4
  Tuba is a lightweight desktop client for Mastodon and other fediverse
  services using GTK4 and libadwaita. As such, it is well integrated with the

## tuba 0.9.2

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,8 @@
 ifeq (,$(wildcard ./rcedit-x64.exe))
 	wget https://github.com/electron/rcedit/releases/download/v1.1.1/rcedit-x64.exe
 endif
-	rsvg-convert ./data/icons/color-nightly.svg -o ./builddir/color-nightly.png -h 256 -w 256
-	magick -density "256x256" -background transparent ./builddir/color-nightly.png -define icon:auto-resize -colors 256 ./builddir/dev.geopjr.Tuba.ico
+	rsvg-convert ./data/icons/color$(if $(release),,-nightly).svg -o ./builddir/color$(if $(release),,-nightly).png -h 256 -w 256
+	magick -density "256x256" -background transparent ./builddir/color$(if $(release),,-nightly).png -define icon:auto-resize -colors 256 ./builddir/dev.geopjr.Tuba.ico
 	./rcedit-x64.exe $(PREFIX)/bin/dev.geopjr.Tuba.exe --set-icon ./builddir/dev.geopjr.Tuba.ico
 
 __windows_copy_deps:
@@ -54,7 +54,7 @@
 	cp -r /mingw64/lib/gstreamer-1.0 $(PREFIX)/lib/gstreamer-1.0
 
 	cp -f /mingw64/share/gtksourceview-5/styles/Adwaita.xml /mingw64/share/gtksourceview-5/styles/Adwaita-dark.xml ${PREFIX}/share/gtksourceview-5/styles/
-	cp -f /mingw64/share/gtksourceview-5/language-specs/xml.lang /mingw64/share/gtksourceview-5/language-specs/markdown.lang /mingw64/share/gtksourceview-5/language-specs/html.lang ${PREFIX}/share/gtksourceview-5/language-specs/
+	cp -r /mingw64/share/gtksourceview-5/language-specs/ ${PREFIX}/share/gtksourceview-5/
 
 	ldd $(PREFIX)/lib/gio/*/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
 	ldd $(PREFIX)/lib/gstreamer-1.0/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
@@ -80,3 +80,16 @@
 
 __windows_package:
 	zip -r9q tuba_windows_portable.zip tuba_windows_portable/
+
+windows_nsis:
+	rm -rf nsis
+	mkdir nsis
+	cp ./build-aux/dev.geopjr.Tuba-side.bmp nsis/
+	cp ./builddir/dev.geopjr.Tuba.ico nsis/
+	cp ./builddir/dev.geopjr.Tuba.nsi nsis/
+	mv tuba_windows_portable/ nsis/
+	magick ./builddir/color$(if $(release),,-nightly).png -modulate 100,100,70 nsis/dev.geopjr.Tuba-uninstall.png
+	magick -density "256x256" -background transparent nsis/dev.geopjr.Tuba-uninstall.png -define icon:auto-resize -colors 256 nsis/dev.geopjr.Tuba-uninstall.ico
+	rsvg-convert ./data/icons/color$(if $(release),,-nightly).svg -o nsis/dev.geopjr.Tuba-header.png -h 57 -w 57
+	magick nsis/dev.geopjr.Tuba-header.png -background white -alpha remove -alpha off -type truecolor -define bmp:format=bmp3 nsis/dev.geopjr.Tuba-header.bmp
+	cd nsis && makensis dev.geopjr.Tuba.nsi

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)
option('distro', type: 'boolean', value: false)
option('clapper', type: 'boolean', value: false)

=== debian/changelog ===
tuba (0.9.2-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 04 Mar 2025 23:17:59 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  meson,
  valac,
 Standards-Version: 4.7.0
-Homepage: https://github.com/GeopJr/Tuba
+Homepage: https://apps.gnome.org/Tuba/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git
 
@@ -45,3 +45,5 @@
  .
  Tuba is also an adaptive application, usable on both desktop and mobile
  devices.
+ .
+ Tuba is a GNOME Circle app.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,5 @@
 override_dh_auto_install:
 	cd debian/build && DESTDIR=${CURDIR}/debian/tuba ninja install
 	mv debian/tuba/usr/bin/dev.geopjr.Tuba debian/tuba/usr/bin/tuba
+	mv debian/tuba/usr/share/man/man1/dev.geopjr.Tuba.1 debian/tuba/usr/share/man/man1/tuba.1
 	sed -i 's/^Exec=.*\s\(.*\)/Exec=tuba \1/' debian/tuba/usr/share/applications/dev.geopjr.Tuba.desktop
-
-override_dh_installman:
-	dh_installman ./debian/tuba.1

## tuba 0.10.1

=== debian/changelog ===
tuba (0.10.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: update build dependencies.
    Upstream added (optional) build dependencies on `webkitgtk` and
    `gexiv2`. In order to provide our users with the best experience, let's
    add those, and bump the minimum required versions of other deps as
    updated upstream.
    While at it, bump `Standards-Version` (no change needed) and drop
    `Rules-Requires-Root` as it's no longer needed
  * d/rules: enable optional features.
    Except for `clapper`, most optional features (such as GStreamer usage)
    were previously auto-detected. This is no longer the case and we now
    need to explicitly enable those, along with the new ones (`gexiv2` and
    `in-app-browser`).
  * d/gbp.conf: ensure we don't pull .gitattributes by accident
  * d/patches: fix metainfo generation.
    This step failed due to improper use of `&` instead of `&amp;` in
    translations, causing libxml to generate empty paragraphs for the
    corresponding languages.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Aug 2025 14:34:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,12 @@
 	rm -rf debian/build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dclapper=true
+	dh_auto_configure -- \
+		-Dclapper=enabled \
+		-Dgexiv2=enabled \
+		-Dgstreamer=enabled \
+		-Din-app-browser=enabled \
+		-Dspelling=enabled
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## tuba 0.10.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: all install uninstall build test potfiles
 PREFIX ?= /usr
 
-clapper ?=
+msys_sys ?= mingw64
 # Remove the devel headerbar style:
 # make release=1
 release ?=
@@ -10,7 +10,7 @@
 
 build:
 	meson setup builddir --prefix=$(PREFIX)
-	meson configure builddir -Ddevel=$(if $(release),false,true) -Dclapper=$(if $(clapper),true,false)
+	meson configure builddir -Ddevel=$(if $(release),false,true)
 	meson compile -C builddir
 
 install:
@@ -24,10 +24,14 @@
 
 potfiles:
 	find ./ -not -path '*/.*' -type f -name "*.in" | sort > po/POTFILES
+	echo "./data/dev.geopjr.Tuba.gschema.xml" >> po/POTFILES
 	echo "" >> po/POTFILES
 	find ./ -not -path '*/.*' -type f -name "*.ui" -exec grep -l "translatable=\"yes\"" {} \; | sort >> po/POTFILES
 	echo "" >> po/POTFILES
 	find ./ -not -path '*/.*' -type f -name "*.vala" -exec grep -l "_(\"\|ngettext" {} \; | sort >> po/POTFILES
+
+xgettext:
+	xgettext --files-from=po/POTFILES --output=po/dev.geopjr.Tuba.pot --from-code=UTF-8 --add-comments --keyword=_ --keyword=C_:1c,2
 
 windows: PREFIX = $(PWD)/tuba_windows_portable
 windows: __windows_pre build install __windows_set_icon __windows_copy_deps __windows_schemas __windows_copy_icons __windows_cleanup __windows_package
@@ -45,27 +49,24 @@
 	./rcedit-x64.exe $(PREFIX)/bin/dev.geopjr.Tuba.exe --set-icon ./builddir/dev.geopjr.Tuba.ico
 
 __windows_copy_deps:
-	ldd $(PREFIX)/bin/dev.geopjr.Tuba.exe | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
-	cp -f /mingw64/bin/gdbus.exe $(PREFIX)/bin && ldd $(PREFIX)/bin/gdbus.exe | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
-	cp -f /mingw64/bin/gspawn-win64-helper.exe $(PREFIX)/bin && ldd $(PREFIX)/bin/gspawn-win64-helper.exe | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
-	cp -f /mingw64/bin/libwebp-7.dll /mingw64/bin/librsvg-2-2.dll /mingw64/bin/libgnutls-30.dll /mingw64/bin/libgthread-2.0-0.dll /mingw64/bin/libgmp-10.dll /mingw64/bin/libproxy-1.dll ${PREFIX}/bin
-	cp -r /mingw64/lib/gio/ $(PREFIX)/lib
-	cp -r /mingw64/lib/gdk-pixbuf-2.0 $(PREFIX)/lib/gdk-pixbuf-2.0
-	cp -r /mingw64/lib/gstreamer-1.0 $(PREFIX)/lib/gstreamer-1.0
+	ldd $(PREFIX)/bin/dev.geopjr.Tuba.exe | grep '\/$(msys_sys).*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	cp -f /$(msys_sys)/bin/gdbus.exe $(PREFIX)/bin && ldd $(PREFIX)/bin/gdbus.exe | grep '\/$(msys_sys).*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	cp -f /$(msys_sys)/bin/gspawn-win64-helper.exe $(PREFIX)/bin && ldd $(PREFIX)/bin/gspawn-win64-helper.exe | grep '\/$(msys_sys).*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	cp -f /$(msys_sys)/bin/libwebp-7.dll /$(msys_sys)/bin/librsvg-2-2.dll /$(msys_sys)/bin/libgnutls-30.dll /$(msys_sys)/bin/libgthread-2.0-0.dll /$(msys_sys)/bin/libgmp-10.dll /$(msys_sys)/bin/libproxy-1.dll ${PREFIX}/bin
+	cp -r /$(msys_sys)/lib/gio/ $(PREFIX)/lib
+	cp -r /$(msys_sys)/lib/gdk-pixbuf-2.0 $(PREFIX)/lib/gdk-pixbuf-2.0
+	cp -r /$(msys_sys)/lib/gstreamer-1.0 $(PREFIX)/lib/gstreamer-1.0
 
-	cp -f /mingw64/share/gtksourceview-5/styles/Adwaita.xml /mingw64/share/gtksourceview-5/styles/Adwaita-dark.xml ${PREFIX}/share/gtksourceview-5/styles/
-	cp -r /mingw64/share/gtksourceview-5/language-specs/ ${PREFIX}/share/gtksourceview-5/
-
-	ldd $(PREFIX)/lib/gio/*/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
-	ldd $(PREFIX)/lib/gstreamer-1.0/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
-	ldd $(PREFIX)/bin/*.dll | grep '\/mingw.*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	ldd $(PREFIX)/lib/gio/*/*.dll | grep '\/$(msys_sys).*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	ldd $(PREFIX)/lib/gstreamer-1.0/*.dll | grep '\/$(msys_sys).*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
+	ldd $(PREFIX)/bin/*.dll | grep '\/$(msys_sys).*\.dll' -o | xargs -I{} cp "{}" $(PREFIX)/bin
 
 __windows_schemas:
-	cp -r /mingw64/share/glib-2.0/schemas/*.xml ${PREFIX}/share/glib-2.0/schemas/
+	cp -r /$(msys_sys)/share/glib-2.0/schemas/*.xml ${PREFIX}/share/glib-2.0/schemas/
 	glib-compile-schemas.exe ${PREFIX}/share/glib-2.0/schemas/
 
 __windows_copy_icons:
-	cp -r /mingw64/share/icons/ $(PREFIX)/share/
+	cp -r /$(msys_sys)/share/icons/ $(PREFIX)/share/
 
 __windows_cleanup:
 	rm -f ${PREFIX}/share/glib-2.0/schemas/*.xml

=== debian/changelog ===
tuba (0.10.2-1) unstable; urgency=medium

  * New upstream version
  * d/watch: update to version 5
  * d/patches: update for new upstream release.
    The metainfo patch has been upstreamed and can therefore be dropped.
    However, we now run into a new issue due to Vala 0.56 being seemingly
    stricter about ownership, leading builds to fail in Debian. Fix this
    by explicitly transferring ownership wherever needed. (Closes: #1115148)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 29 Sep 2025 14:12:36 +0200

tuba (0.10.1-2) unstable; urgency=medium

  * d/rules: stop renaming executable.
    Upstream installs the executable as `dev.geopjr.Tuba` and we used to
    rename it to `tuba`. However, this doesn't work well with the recently
    added D-Bus activation, so let's revert to installing the executable
    without renaming it.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 12 Aug 2025 10:53:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd debian/build && LC_ALL=C.UTF-8 ninja test
 endif
-
-override_dh_auto_install:
-	cd debian/build && DESTDIR=${CURDIR}/debian/tuba ninja install
-	mv debian/tuba/usr/bin/dev.geopjr.Tuba debian/tuba/usr/bin/tuba
-	mv debian/tuba/usr/share/man/man1/dev.geopjr.Tuba.1 debian/tuba/usr/share/man/man1/tuba.1
-	sed -i 's/^Exec=.*\s\(.*\)/Exec=tuba \1/' debian/tuba/usr/share/applications/dev.geopjr.Tuba.desktop

## tuba 0.10.3

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)
option('distro', type: 'boolean', value: false)
option('spelling', type: 'feature')
option('clapper', type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('gstreamer', type: 'feature')
option('in-app-browser', type: 'feature')
option('gexiv2', type: 'feature')

=== debian/changelog ===
tuba (0.10.3-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patch

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 13 Oct 2025 17:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,33 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  appstream-util,
- clapper (>= 0.6.0~),
+ clapper (>= 0.8~),
  debhelper-compat (= 13),
  desktop-file-utils,
  gettext,
- libadwaita-1-dev (>= 1.5~),
+ libadwaita-1-dev (>= 1.7~),
  libgee-0.8-dev,
- libglib2.0-dev (>= 2.76.0),
+ libgexiv2-dev (>= 0.14~),
+ libglib2.0-dev (>= 2.80~),
  libgstreamer1.0-dev,
 # FIXME: drop when pulled by clapper (#1077812)
  libgstreamer-plugins-base1.0-dev,
- libgtk-4-dev (>= 4.13.4~),
+ libgtk-4-dev (>= 4.18~),
  libgtksourceview-5-dev,
  libjson-glib-dev,
 # FIXME: drop when pulled by clapper (#1077812)
  libmicrodns-dev,
+ libpeas-2-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,
+ libspelling-1-dev,
+ libwebkitgtk-6.0-dev,
  libxml2-dev,
  meson,
  valac,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.gnome.org/Tuba/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git

=== debian/watch ===
Version: 5

Template: Github
Owner: GeopJr
Project: Tuba
